Bug 462220 - OOo writer dies when selecting source for scanner
OOo writer dies when selecting source for scanner
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 09:28 EDT by Paul F. Johnson
Modified: 2009-07-18 17:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-18 17:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2008-09-14 09:28:04 EDT
Description of problem:
OOo writer dies when a scanner source is requested

Version-Release number of selected component (if applicable):
3.0.0-5

How reproducible:
Always

Steps to Reproduce:
1. Insert -> Picture -> From scanner -> Select source
2.
3.
  
Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//nv_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-3-i386
(IV)   kernel is: Linux 2.6.27-0.322.rc6.fc10.i686 #1 SMP Wed Sep 10 13:25:01 EDT 2008 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.0-5.1.fc10-i386
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 9.90.1 (Rawhide)
(VV)   LANG is: en_GB.utf8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sdb1            118595408  54997488  57573548  49% /home
/dev/mapper/VolGroup00-LogVol00
                     151593140  10966124 132926536   8% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 23
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x228620: 0x1b4998: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x25620
0x228f5b: 0x1b4998: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x25f5b
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x762832: 0x20ef8: /lib/ld-linux.so.2 + 0x14832
0x75dd26: 0x20ef8: /lib/ld-linux.so.2 + 0xfd26
0x761ebe: 0x20ef8: /lib/ld-linux.so.2 + 0x13ebe
0x913c2c: 0x2ed0: /lib/libdl.so.2 + 0xc2c
0x75dd26: 0x20ef8: /lib/ld-linux.so.2 + 0xfd26
0x91405c: 0x2ed0: /lib/libdl.so.2 + 0x105c
0x913b61: 0x2ed0: /lib/libdl.so.2 + 0xb61 (dlopen + 0x41)
0x85a7e10: 0x4998: /usr/lib/libsane.so.1 + 0x1e10
0x85a8057: 0x4998: /usr/lib/libsane.so.1 + 0x2057
0x85a838d: 0x4998: /usr/lib/libsane.so.1 + 0x238d (sane_dll_get_devices + 0x8d)
0x85a9084: 0x4998: /usr/lib/libsane.so.1 + 0x3084 (sane_get_devices + 0x24)
0x53fd562: 0x18e74: /usr/lib/openoffice.org3/program/../basis-link/program/libscnli.so + 0x9562
0x53fd663: 0x18e74: /usr/lib/openoffice.org3/program/../basis-link/program/libscnli.so + 0x9663
0x54051a0: 0x18e74: /usr/lib/openoffice.org3/program/../basis-link/program/libscnli.so + 0x111a0
0x4eb58f9: 0x8d9894: /usr/lib/openoffice.org3/program/../basis-link/program/libswli.so + 0x7a88f9
0x4e921b6: 0x8d9894: /usr/lib/openoffice.org3/program/../basis-link/program/libswli.so + 0x7851b6 (SwView::Execute(SfxRequest&) + 0x12da)
0x4e86f60: 0x8d9894: /usr/lib/openoffice.org3/program/../basis-link/program/libswli.so + 0x779f60
0x3069a05: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1c7a05
0x3069d52: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1c7d52
0x3085c63: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1e3c63
0x3085c19: 0x2e6520: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1e3c19
0x26c5913: 0x2ebcd4: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x213913
0xec6430: 0x65604: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so + 0x46430 (SalDisplay::DispatchInternalEvent() + 0x96)
0xe0a0bc: 0x40e48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x120bc
0xae42b1: 0xe1268: /lib/libglib-2.0.so.0 + 0x352b1
0xae61f8: 0xe1268: /lib/libglib-2.0.so.0 + 0x371f8 (g_main_context_dispatch + 0x1e8)
0xae98a3: 0xe1268: /lib/libglib-2.0.so.0 + 0x3a8a3
0xae9a61: 0xe1268: /lib/libglib-2.0.so.0 + 0x3aa61 (g_main_context_iteration + 0x71)
0xe0a174: 0x40e48: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x12174
0xeccc49: 0x65604: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so + 0x4cc49 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x254e94d: 0x2ebcd4: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9c94d (Application::Yield(bool) + 0x57)
0x254e99b: 0x2ebcd4: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9c99b (Application::Execute() + 0x2b)
0x23135cb: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1e5cb
0x2551f87: 0x2ebcd4: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9ff87
0x2552123: 0x2ebcd4: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa0123 (SVMain() + 0x2c)
0x233356c: 0x517bc: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x3e56c (soffice_main + 0xd0)
0x80487c4: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x7c4 (main + 0x20)
0x7886e5: 0x16fd7c: /lib/libc.so.6 + 0x166e5 (__libc_start_main + 0xe5)
0x8048711: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x711
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00158000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0053d000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005d2000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x005ef000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00662000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0068c000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x006a9000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x006b4000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00770000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x007b7000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x0084a000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x0072c000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00730000)
	librt.so.1 => /lib/librt.so.1 (0x00735000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00879000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00897000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x008d8000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00919000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0x009fc000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0xb7cf6000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0x00a69000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x00b32000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0x00b80000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0x00bef000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0xb7c0b000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x00c71000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0xb7b93000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x00ccb000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0xb7b71000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0xb79b5000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x0073f000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb78b3000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0xb78a3000)
	libdl.so.2 => /lib/libdl.so.2 (0x00746000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb7889000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so (0xb77be000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb76cc000)
	libm.so.6 => /lib/libm.so.6 (0xb76a3000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00cf8000)
	libc.so.6 => /lib/libc.so.6 (0xb752f000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x0074b000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb7529000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7501000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb74f8000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb74f5000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb74eb000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb74e1000)
	libselinux.so.1 => /lib/libselinux.so.1 (0xb74c5000)
	libz.so.1 => /lib/libz.so.1 (0xb74b1000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb746a000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb7442000)
	/lib/ld-linux.so.2 (0x0074e000)
	libnsl.so.1 => /lib/libnsl.so.1 (0xb7428000)
	libcap.so.2 => /lib/libcap.so.2 (0xb7423000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb741b000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb7401000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0xb73fb000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0xb73aa000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0xb726c000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0xb7236000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0xb722f000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0xb722a000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb71f7000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb71f5000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb71d8000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb71d5000)
	libuuid.so.1 => /lib/libuuid.so.1 (0xb71d1000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb648c000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6485000)
...end sample ldd details ...


Expected results:
Should work

Additional info:
When I first ran OOo-writer, the scanner was off so aic7xxx wasn't set with the scanner on. I modprobe -r aic7xxx and reinstantated aic7xxx. When the scanner was available, OOo writer died.
Comment 1 Caolan McNamara 2008-09-14 13:46:12 EDT
If you try the same with "xsane" does that survive fine ?

The crash is a good few stack frames inside libsane, and I don't have a scanner, in which case OOo is fine loading libsane, so I'll toss this over the fence to sane-backends
Comment 2 Paul F. Johnson 2008-09-14 16:17:49 EDT
works fine in gimp, scribus and xsane...
Comment 3 Bug Zapper 2008-11-25 22:04:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Nils Philippsen 2009-06-17 06:03:17 EDT
I've packaged the new upstream version sane-backends-1.0.20 and submitted it for updates-testing. Please test and report back whether this improves your issue, thanks.
Comment 5 Paul F. Johnson 2009-06-29 19:26:33 EDT
Works fine with rawhide

Note You need to log in before you can comment on or make changes to this bug.